%define languageenglazy Maltese
%define languagecode    mt
%define lc_ctype        mt_MT

%define upstream_version 20020708

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 12
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://linux.org.mt/node/62
Source0:        http://linux.org.mt/downloads/spellcheck-mt-0.3.tar.gz

BuildRequires:  hunspell-devel
BuildRequires:  hunspell

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-mt
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
export LANG=mt_MT.utf8
iconv -f ISO-8859-3 -t UTF-8 words.iso8859-3 > maltese.words
wordlist2hunspell maltese.words mt_MT

%install
install -D -m 0644 -p mt_MT.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p mt_MT.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc readme.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.20020708.1-12.mga6
+ Revision: 937869
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20020708.1-11.mga5
+ Revision: 742847
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20020708.1-10.mga5
+ Revision: 680279
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20020708.1-9.mga4
+ Revision: 505660
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20020708.1-8.mga3
+ Revision: 353593
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20020708.1-7.mga2
+ Revision: 224766
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20020708.1-6.mga2
+ Revision: 209211
- adapt .spec to the current policies

* Wed Feb 15 2012 dmorgan <dmorgan> 0.20020708.1-5.mga2
+ Revision: 209194
- imported package hunspell-mt


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20020708-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20020708-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 13 2009 Caolan McNamara <caolanm@redhat.com> - 0.20020708-3
- spurious extra .aff file packaged

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20020708-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 13 2008 Caolan McNamara <caolanm@redhat.com> - 0.20020708-1
- initial version
